orte/mca/gpr/replica/communications/gpr_replica_comm.h File Reference.TH "orte/mca/gpr/replica/communications/gpr_replica_comm.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/replica/communications/gpr_replica_comm.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include <time.h>\fP
.br
\fC#include 'class/orte_pointer_array.h'\fP
.br
\fC#include 'opal/threads/mutex.h'\fP
.br
\fC#include 'opal/threads/condition.h'\fP
.br
\fC#include 'mca/ns/ns_types.h'\fP
.br
\fC#include 'mca/rml/rml_types.h'\fP
.br
\fC#include 'mca/gpr/replica/gpr_replica.h'\fP
.br
\fC#include 'mca/gpr/replica/functional_layer/gpr_replica_fn.h'\fP
.br
\fC#include 'mca/gpr/replica/transition_layer/gpr_replica_tl.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "void \fBorte_gpr_replica_recv\fP (int status, orte_process_name_t *sender, \fBorte_buffer_t\fP *buffer, \fBorte_rml_tag_t\fP tag, void *cbdata)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_process_command_buffer\fP (\fBorte_buffer_t\fP *input_buffer, orte_process_name_t *sender, \fBorte_buffer_t\fP **output_buffer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_remote_notify\fP (orte_process_name_t *recipient, orte_gpr_notify_message_t *msg)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_compound_cmd\fP (\fBorte_buffer_t\fP *output_buffer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_delete_segment_cmd\fP (\fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *output_buffer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_put_cmd\fP (\fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *output_buffer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_get_cmd\fP (\fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *answer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_get_conditional_cmd\fP (\fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *output_buffer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_delete_entries_cmd\fP (\fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *output_buffer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_index_cmd\fP (\fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *answer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_subscribe_cmd\fP (orte_process_name_t *sender, \fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *output_buffer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_unsubscribe_cmd\fP (orte_process_name_t *sender, \fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *output_buffer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_cancel_trigger_cmd\fP (orte_process_name_t *sender, \fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *output_buffer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_dump_all_cmd\fP (\fBorte_buffer_t\fP *answer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_dump_segments_cmd\fP (\fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *answer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_dump_triggers_cmd\fP (\fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *answer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_dump_subscriptions_cmd\fP (\fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *answer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_dump_a_trigger_cmd\fP (\fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *answer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_dump_a_subscription_cmd\fP (\fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *answer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_dump_callbacks_cmd\fP (\fBorte_buffer_t\fP *answer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_get_startup_msg_cmd\fP (\fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *answer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_cleanup_job_cmd\fP (\fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *output_buffer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_cleanup_proc_cmd\fP (\fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *output_buffer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_increment_value_cmd\fP (\fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *output_buffer)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_recv_decrement_value_cmd\fP (\fBorte_buffer_t\fP *input_buffer, \fBorte_buffer_t\fP *output_buffer)"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
